/*
 * Copyright (C) 2000-2004 by ETH Zurich
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY ETH ZURICH AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ETH ZURICH
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * For additional information see http://www.btnode.ethz.ch
 *
 */

/**
 * \file include/arch/btn-hardware.h
 *
 * 04.06.2004 Matthias Ringwald <mringwal@inf.ethz.ch>
 * 
 * includes platform specific hardware definitions
 *
 * See hardware settings for:\n
 * - \link arch/btnode2/btn-hardware.h btnode2/btn-hardware.h\endlink\n
 * - \link arch/btnode3/btn-hardware.h btnode3/btn-hardware.h\endlink\n
 * - \link arch/unix/btn-hardware.h unix/btn-hardware.h\endlink\n
 */

// enumeration of bt module support
#define ERICSSON 1
#define ZEEVO    2
#define CSR      3

#if defined(__BTNODE2__)
    #include <arch/btnode2/btn-hardware.h>
#endif

#if defined(__BTNODE3__)
    #include <arch/btnode3/btn-hardware.h>
#endif

#if defined(__BTN_UNIX__)
    #include <arch/unix/btn-hardware.h>
#endif

